Bug 72309 - Update apache2 port to 2.0.52
Summary: Update apache2 port to 2.0.52
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Clement Laforet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-04 15:40 UTC by ck
Modified: 2004-10-13 08:12 UTC (History)
0 users

See Also:


Attachments
file.diff (31.79 KB, patch)
2004-10-04 15:40 UTC, ck
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ck 2004-10-04 15:40:10 UTC
The apache project has released version 2.0.52 of apache2.  
The FreeBSD ports system currently has a heavily patched 2.0.50 version.

Fix: - I have verifified that following patches have been merged to the 2.0.52
  apache release. They should be dropped from the ./files directory in the port

	files/patch-fix-srclib:apr:network_io:unix:sockaddr.c
	files/patch-secfix-modules:dav:fs:lock.c
	files/patch-secfix-modules:ssl:ssl_engine_io.c
	files/patch-secfix-server:utils.c
	files/patch-secfix-srclib:apr-util:test:testuri.c
	files/patch-srclib:apr:include:apr_atomic.h
	files/patch-support:apachectl.in

- The included documentation has been updated resulting in several 
  changes to the plist.

- The pkg-plist file has been updated to generate the Includes directory 
  now referenced in the default configuration.

---patch for port follows below---
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-10-05 04:54:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Over to maintainer.
Comment 2 Clement Laforet freebsd_committer 2004-10-13 08:11:31 UTC
State Changed
From-To: open->closed

Another update was committed. 
Thanks for your patch.